<?php
$campos = array(
    1 => 'MEV_JAN',
    2 => 'MEV_FEV',
    3 => 'MEV_MAR',
    4 => 'MEV_ABR',
    5 => 'MEV_MAI',
    6 => 'MEV_JUN',
    7 => 'MEV_JUL',
    8 => 'MEV_AGO',
    9 => 'MEV_SET',
    10 => 'MEV_OUT',
    11 => 'MEV_NOV',
    12 => 'MEV_DEZ',
    13 => 'MEV_SOMA'
);

if (!$transferenciaImplantacao) {
    if (!$cadastrarMetaImplantacao) {
        $msg = "Como a unidade de negócios de destino é uma revenda, a meta de implantação não será transferida.";
    } else {
        $msg = "Como a unidade de negócios de origem é uma revenda e a de destino é {$destino->getTipo()}";
        $msg .= " , você deve cadastrar a meta de implantação que não será considerada na meta do grupo.";
    }
    echo FaHtml::alert($msg, 'info', 'info-circle', false);
}
?>
<div class="form">
    <?php
        $form = $this->beginWidget('GxActiveForm', array(
            'id' => 'form-cadastro',
            'enableAjaxValidation' => false,
        ));
    ?>
        <?php
            $this->widget('application.extensions.moneymask.MMask', array(
                'element' => '.valorImplantacao'
            ));

            echo $form->hiddenField($model, 'MEV_RASCUNHO', array(
                'value' => 0
            ));
        ?>
        <div id="mensalidade">
            <table class="table" id="metaMensalidade">
                <caption>
                    <h1>Metas de Mensalidade</h1>
                </caption>
                <thead>
                    <tr>
                        <th></th>
                        <th>Janeiro</th>
                        <th>Fevereiro</th>
                        <th>Março</th>
                        <th>Abril</th>
                        <th>Maio</th>
                        <th>Junho</th>
                        <th>Julho</th>
                        <th>Agosto</th>
                        <th>Setembro</th>
                        <th>Outubro</th>
                        <th>Novembro</th>
                        <th>Dezembro</th>
                        <th><?= date('Y'); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <th><?= $origem->REV_FANTASIA; ?></th>
                        <?php
                            foreach ($campos as $campo) {
                                $valor = $metaMensalidadeOrigem->{$campo};
                                echo "<td>";
                                    echo Util::verMoeda($valor);
                                echo "</td>";
                            }
                        ?>
                    </tr>
                    <tr>
                        <th><?= $destino->REV_FANTASIA; ?></th>
                        <?php
                            foreach ($campos as $campo) {
                                $valor = $metaMensalidadeDestino->{$campo};
                                echo "<td>";
                                    echo Util::verMoeda($valor);
                                echo "</td>";
                            }
                        ?>
                    </tr>
                </tbody>
            </table>
        </div>

        <div id="implantacao">
            <table class="table" id="metaImplantacao">
                <caption>
                    <h1>Metas de Implantação</h1>
                </caption>
                <thead>
                    <tr>
                        <th></th>
                        <th>Janeiro</th>
                        <th>Fevereiro</th>
                        <th>Março</th>
                        <th>Abril</th>
                        <th>Maio</th>
                        <th>Junho</th>
                        <th>Julho</th>
                        <th>Agosto</th>
                        <th>Setembro</th>
                        <th>Outubro</th>
                        <th>Novembro</th>
                        <th>Dezembro</th>
                        <th><?= date('Y'); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <th><?= $origem->REV_FANTASIA; ?></th>
                        <?php
                            foreach ($campos as $campo) {
                                $valor = $metaImplantacaoOrigem->{$campo};
                                echo "<td>";
                                    echo Util::verMoeda($valor);
                                echo "</td>";
                            }
                        ?>
                    </tr>
                    <tr>
                        <th><?= $destino->REV_FANTASIA; ?></th>
                        <?php
                            foreach ($campos as $key => $campo) {
                                $valor = $metaImplantacaoDestino->{$campo};
                                $class = "";
                                if ($cadastrarMetaImplantacao && $key >= $mes && $campo != "MEV_SOMA") {
                                    $class = "informarMeta";
                                }
                                echo "<td class=\"{$class}\">";
                                    echo Util::verMoeda($valor);
                                echo "</td>";
                            }
                        ?>
                    </tr>
                </tbody>
            </table>

            <?php
                if ($cadastrarMetaImplantacao) {
                    foreach ($campos as $key => $campo) {
                        if ($campo != "MEV_SOMA") {
                            $disabled = false;
                            if ($key < $mes) {
                                $disabled = true;
                            }
                            echo "<div class=\"row\">";
                                echo $form->labelEx($model, $campo, array(
                                    'for' => "MetasVendas_implantacao_{$campo}"
                                ));
                                echo $form->textField($model, "implantacao[{$campo}]", array(
                                    'class' => 'valorImplantacao',
                                    'maxlength' => 12,
                                    'data-field' => $campo,
                                    'disabled' => $disabled,
                                ));
                                echo $form->error($model, $campo);
                            echo "</div>";
                        } else {
                            echo $form->labelEx($model, $campo, array(
                                'for' => "MetasVendas_implantacao_{$campo}"
                            ));
                            echo $form->textField($model, "implantacao[{$campo}]", array(
                                'class' => 'valorSoma',
                                'readonly' => 'readonly',
                                'maxlength' => 12,
                                'data-field' => $campo,
                            ));
                            echo $form->error($model, $campo);
                        }
                    }
                }
            ?>
        </div>

        <?php echo FaHtml::saveButton(); ?>
    <?php $this->endWidget(); ?>
</div>

<?php
$cs = Yii::app()->getClientScript();

$cs->registerCssFile(FaHtml::getCssUrl('metas.css'));

$css = <<<CSS
    form {
        margin-bottom: 0;
        border-radius: 10px;
    }
    table {
        background-color: #fff;
    }
    .informarMeta {
        background-color: #dff0d7;
        border-right: 1px solid #dddddd;
    }
CSS;
$cs->registerCss(Util::uid(), $css);

$script = <<<JAVASCRIPT
    $(".valorImplantacao").change(function (e) {
        var soma = 0.00;
        $.each($(".valorImplantacao"), function(index, val) {
            if ($(this).val() != "") {
                var valor = converteMoedaFloat($(this).val());
                soma += valor;
            }
        });

        soma = formataMoeda(soma);
        $(this).parents('#implantacao').find('.valorSoma').val(soma);
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);